"""Odoo Scripts"""
from json import loads

try:
    # python 3.8+
    from importlib.metadata import PackageNotFoundError, distribution
except ModuleNotFoundError:
    from importlib_metadata import (  # type: ignore[import,no-redef,assignment]
        PackageNotFoundError,
        distribution,
    )

# This is maintained by bump2version.
__version__ = "21.2.2"
try:
    # When using an editable install, the number would be off
    distrib = distribution("odoo-scripts")
    text = distrib.read_text("direct_url.json")
    if text is not None:
        json = loads(text)
        if json.get("dir_info", {}).get("editable", False):
            split = __version__.split(".")
            __version__ = ".".join(split[:2] + [f"{int(split[2]) + 1}.dev"])
        else:
            __version__ = distrib.version
except PackageNotFoundError:
    pass

__author__ = "XCG Consulting"

# expose some useful functions
from .odoo import odoo_connect, odoo_connect_parser, odoo_login  # noqa: F401
from .parsing import logging_from_verbose  # noqa: F401
